XCOM AT-TLS support requirements
search cancel

XCOM AT-TLS support requirements

book

Article ID: 215647

calendar_today

Updated On:

Products

XCOM Data Transport - z/OS

Issue/Introduction

The documentation refers to AT TLS Support and CBXGSAMP members XCOMTRNG and XCOMTKDB. However, those members don't exist in our environment.
Does this feature need a PTF(s) applied in order to be enabled?

Environment

Release : 12.0
Component : CA XCOM Data Transport for z/OS

Resolution

XCOM r12 added AT-TLS support with fix SO15002 ("ENHANCEMENT: SUPPORT AT-TLS ENCRYPTED NETWORK CONNECTIONS")
For AT-TLS support with XCOM, download the fix and all of the prerequisites to APPLY them.

Additional Information

NOTE: If still on GEN LEVEL 1407 SP00, the best option is to apply level set PTF LU04743 for 12.0.01 (GEN LEVEL 2202) published in February 2022 which would include the ATL-TLS Support PTF SO15002. More details of LU04743 here: XCOM™ Data Transport® for z/OS 12.0 > Release Notes > New Features

For reference here is XCOM for z/OS Solutions page:
https://support.broadcom.com/group/ecx/solutionfiles?sellable=XCOMZS002&os=MVS&release=12.0&solution=XCOM%20Data%20Transport%20for%20z/OS%20MVS&subfamily=XCOM

It is normally advised to apply ALL current maintenance to XCOM r12.0, since other enhancements and fixes have been added to the release. 
However, if still using OpenSSL on z/OS do not apply LU07625 ("REMOVE OPEN SSL AND ETPKI FROM XCOM ON Z/OS") until OpenSSL is no longer needed. That PTF removes the ability to use OpenSSL.